// Searches 2 pixel to the left and right, in both the old
//  and new fields, but takes averages. These are even
// pixel addresses. Chroma match will be used. (YUY2)
		__asm
		{
        MERGE4PIXavg(edi-2*BPP, esi+2*ecx+2*BPP)  // up left, down right
        MERGE4PIXavg(edi+2*BPP, esi+2*ecx-2*BPP)  // up right, down left
        MERGE4PIXavg(edi+ecx-2*BPP, esi+ecx+2*BPP) // left, right
        MERGE4PIXavg(edi+ecx+2*BPP, esi+ecx-2*BPP) // right, left
        MERGE4PIXavg(edi+2*ecx-2*BPP, esi+2*BPP)   // down left, up right
        MERGE4PIXavg(edi+2*ecx+2*BPP, esi-2*BPP)   // down right, up left   
		}